# Fields | Top Previous Next

A field is a container for a certain data class. There are four classes of Fields: •Record Attribute Fields, •Index Fields, •Attribute Fields; and •Sub-attribute Fields. Their relation to each other is discussed in the Data Structure section of this document. The fields are used to define a record. Assigned access rights limit the fields on which a specific user may work. The Autshumato TMS, by default, has predefined fields already present. Fields are also defined by their type and can be one of the following: •Text Can contain text data, which includes numbers, text, links and formulas. This is a generic field in which almost any type of data can be entered. •Pre-set The pre-set field type has certain defined pre-set values. These fields may only have values that are predefined for the field. All pre-set fields automatically have the ‘None’ pre-set for when the field does not contain any data. Only Attribute and Sub-attribute fields may be of the pre-set type. •Synonym A synonym field type is a field that is a synonym of the Index field under which this field falls. Only Attribute fields may be of the type Synonym. Furthermore, fields are defined by their data type. A field can have one of the following data types: •Plain Text A field with the plain text data type contains plain text. •Integer Integer fields can only contain integer numbers. •Floating-point number Floating point fields can only contain floating point numbers. •HTML Hyperlink The HTML Hyperlink field data type is used for Images and Sounds. When a field is defined with this data type, you will not be able to enter any data into the field. When this field is selected during editing, an upload dialog will be displayed. If the user uploads either an image or sound, it will be available on this field of the record when it is rendered. •XML The XML data type field takes eXtended Markup Language code. •Formula A Formula data type field contains a formula of some sort; chemistry, mathematical, etc. When editing, and this field is selected, the Formula builder will be loaded in which the user can construct a formula to insert. When this field is viewed, the formula is rendered. Overview 1.Field class selection Each radio button represents a field class. When a radio button is selected, an Existing fields drop-down list will be populated with the respective field class. 2.Existing fields drop-down list Use it to select and existing field. 3.Field Detail Displays the details on a new or existing field. A field is described by the following properties: •Field is in use Specifies whether this field is used. Once a field is in use, its properties may not be altered. •Field name Displays the name of the field that is being edited or created. •Field type Displays the current field type. There is a distinction between Text and Pre-set fields. A Text field is a field that can contain generic text. A Pre-set Field can only contain one of a certain number of pre-set values that are set when creating the field. Fields with pre-set values are displayed as a drop-down list when creating or editing a Record. Pre-set values can be created and edited on the Pre-set panel. •Field data type Displays the current field data type. •Maximum length Used to specify the maximum number of characters or digits that may be entered in the field that is being edited or created. 4.Pre-set panel When a field with a pre-set data type has been created or selected for editing, the Pre-set Panel will be displayed. The pre-set values for the field can be created or modified in this panel. •Existing Attribute All the existing pre-set values for the field are listed in this drop-down box. The values can be selected for editing. •New Attribute Clicking this button clears the text boxes and allows for the creation of a new pre-set value. •Attribute Value This text box contains the value of the pre-set. Edit an existing field A field cannot be altered if it is used in a record. 1.Select the class of the field. 2.Select the field from the Existing fields drop-down list. 3.The field properties will be displayed. 4.Make the required alterations. 5.Click the Save button to save the changes. 6.Wait for the success confirmation message. Creating a new field 1.Select the class of the field. 2.Press the New field... button. 3.Enter the Field name. 4.Select the field type and data type. 5.Define the maximum length of the field by entering an integer into the provided box. 6.Once all the data has been entered the Save button will become enabled. 7.Click the Save button to save the changes. 8.Wait for the success confirmation message. Note: In order to define pre-set values for a field, the field must first be created. Follow the steps above and upon the successful completion follow the next set of instructions. Define pre-set values for a field In order for you to define pre-set values for a field the field must first be created and saved successfully. The type of the field must be a Pre-set type. 1.Select the class of the field. 2.Select the field from the Existing fields drop-down list. 3.The pre-set panel will open and list the defined pre-sets for the field. Note: The ‘None‘ field will always be created automatically for a Field with pre-sets. 4.To create a new pre-set, click the New attribute button. 5.Enter the value for the pre-set. This is an actual value that a user will be able to set for this field. 6.Enter a key for the pre-set. This is only used by the system to identify the pre-set type. All the pre-sets of all the fields must have a unique key. 7.Click the Save button to save the new pre-set. 8.Wait for the success confirmation message.